# $Revision: 1.199 $, $Date: 2012/02/08 16:05:39 $
#
# Conditional build:
%bcond_with	gnome2		# build with support for GNOME2 wm-properties
#
%define		extraver	0.1
Summary:	NeXT-alike window manager
Summary(es.UTF-8):	Administrador de Ventanas parecido con el NeXT
Summary(fr.UTF-8):	Gestionnaire de fenêtres avec le look NeXT
Summary(pl.UTF-8):	Zarządca okien w stylu NeXT
Summary(pt_BR.UTF-8):	Gerente de Janelas parecido com o NeXT
Summary(ru.UTF-8):	WindowMaker - оконный менеджер для X11
Summary(uk.UTF-8):	WindowMaker - віконний менеджер для X11
Name:		WindowMaker
Version:	0.92.0
Release:	17
License:	GPL
Group:		X11/Window Managers
Source0:	ftp://windowmaker.info/pub/source/release/%{name}-%{version}.tar.gz
# Source0-md5:	678cb4a9b22a557cfb524dc3cb457c08
Source1:	%{name}-data.tar.gz
# Source1-md5:	6ea0c37314ea9e9ab27e8bdf45a31a82
Source2:	ftp://windowmaker.info/pub/source/release/%{name}-extra-%{extraver}.tar.gz
# Source2-md5:	07c7700daaaf232bc490f5abaabef085
Source3:	%{name}.desktop
Source6:	%{name}-xsession.desktop
Patch0:		%{name}-cvs.patch
Patch1:		%{name}-pl.po-update.patch
Patch2:		%{name}-CFLAGS.patch
Patch3:		%{name}-vfmg.patch
Patch4:		%{name}-shared.patch
Patch5:		%{name}-IconPosition.patch
Patch6:		%{name}-singleclick.patch
Patch7:		%{name}-plmenu.patch
Patch8:		%{name}-dockit.patch
Patch9:		http://www.heily.com/mark/code_samples/appicon_captions_maxprotect.diff
Patch10:	%{name}-localenames.patch
Patch11:	%{name}-0.91.0-translucency-1.patch
Patch12:	%{name}-gnustep.patch
Patch13:	%{name}-wine.patch
Patch14:	%{name}-libpng14.patch
Patch15:	%{name}-libpng15.patch
URL:		http://www.windowmaker.info/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng-devel >= 2:1.4.0
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXpm-devel
Requires:	%{name}-libs = %{version}-%{release}
Requires:	Esetroot
Requires:	cpp >= 6:4.0.0
Requires:	gnustep-dirs
Requires:	tk
Requires:	vfmg >= 0.9.95
Provides:	WallpaperChanger
Conflicts:	filesystem < 3.0-20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11
%define		_wmpropsdir	/usr/share/gnome/wm-properties

%description
Window Maker is an X11 window manager which emulates the look and feel
of the NeXTSTEP (TM) graphical user interface. It is relatively fast,
feature rich and easy to configure and use. Window Maker is part of
the official GNU project, which means that Window Maker can
interoperate with other GNU projects, such as GNOME.

Window Maker allows users to switch themes 'on the fly,' to place
favorite applications on either an application dock, similar to
AfterStep's Wharf or on a workspace dock, a 'clip' which extends the
application dock's usefulness.

You should install the WindowMaker package if you use Window Maker as
your window manager or if you'd like to try using it. If you do
install the WindowMaker package, you may also want to install the
AfterStep-APPS package, which includes applets that will work with
both AfterStep and Window Maker window managers.

%description -l es.UTF-8
WindowMaker es un administrador de ventanas proyectado para emular la
apariencia de parte de la interface de usuario del NEXTSTEP(tm). Se
hizo para ser rápido, relativamente pequeño, rico en características y
de configuración fácil, con una apariencia sencilla y elegante
prestada del NEXTSTEP(tm).

%description -l fr.UTF-8
Window Maker est un gestionnaire de fenêtres pour X11 qui cherche à
reproduire l'allure et l'ergonomie ("look & feel") de l'interface
graphique NeXTSTEP(tm) (aka OpenStep). Il est relativement rapide,
évolué, et facile à configurer et à utiliser. Window Maker fait
officiellement partie du projet GNU, ce qui signifie que Window Maker
peut coopérer avec d'autres projets GNU, comme par exemple GNOME.

Window Maker permet de changer de thèmes facilement, de placer ses
applications favorites soit sur un "dock" similaire au programme Wharf
de AfterStep, soit sur un dock intégré à l'espace de travail, appelé
"clip" (trombone), et qui permet d'étendre les possibilités du dock
principal.

Vous devriez installer ce package si votre gestionnaire de fenêtres
est Window Maker, ou si vous voulez l'essayer. Si vous installez le
package Window Maker, vous voudrez peut-être installer aussi le
package AfterStep-APPS, qui contient des "applets" (petites
applications) qui fonctionnent à la fois dans les gestionnaires de
fenêtres AfterStep et Window Maker.

%description -l pl.UTF-8
WindowMaker jest zarządcą okien przypominającym wyglądem i wygodą
obsługi interfejs systemu NeXTSTEP(tm). Jest szybki, stosunkowo mały,
o dużych możliwościach i łatwy w konfiguracji. Konfiguruje się go
myszką, za pomocą programu WPrefs wchodzącego w skład tego pakietu.

%description -l pt_BR.UTF-8
WindowMaker é um gerente de janelas projetado para emular a aparência
de parte da interface de usuário do NEXTSTEP(tm). Feito para ser
rápido, relativamente pequeno, rico em características e de
configuração fácil, com uma aparência simples e elegante emprestada do
NEXTSTEP(tm).

%description -l ru.UTF-8
WindowMaker - это оконный менеджер, эмулирующий часть экранной среды
NEXTSTEP(tm). Подразумевается что он относительно невелик, быстр,
богат возможностями, легко настраивается и имеет простую и элегантную
внешность, позаимствованную у NEXTSTEP(tm).

%description -l uk.UTF-8
WindowMaker - це віконний менеджер, що емулює інтерфейс екранного
середовища NEXTSTEP(tm). Його вважають відносно невеликим, швидким,
багатим можливостями, легким для налагодження; він має просту та
елегантну зовнішність, запозичену в NEXTSTEP(tm).

%package libs
Summary:	WindowMaker shared libraries
Summary(pl.UTF-8):	Biblioteki współdzielone WindowMakera
Group:		Libraries
Obsoletes:	libwraster2

%description libs
This package contains shared libraries for run WindowMaker.

%description libs -l pl.UTF-8
Ten pakiet zawiera biblioteki współdzielone niezbędne do pracy
zarządcy okien WindowMaker.

%package devel
Summary:	WindowMaker libraries - development part
Summary(es.UTF-8):	Bibliotecas y archivos de inclusión para WindowMaker
Summary(fr.UTF-8):	Librairies de WindowMaker
Summary(pl.UTF-8):	Biblioteki WindowMakera - część dla programistów
Summary(pt_BR.UTF-8):	Arquivos de inclusão e bibliotecas para o WindowMaker
Summary(ru.UTF-8):	Библиотеки поддержки и .h файлы для WindowMaker
Summary(uk.UTF-8):	Бібліотеки підтримки та .h файли для WindowMaker
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXft-devel
Requires:	xorg-lib-libXpm-devel
Obsoletes:	libwraster2-devel

%description devel
This package contains libraries for building WindowMaker-enhanced
applications.

%description devel -l es.UTF-8
Bibliotecas, archivos de inclusión, e etc. para desarrollar
aplicaciones WindowMaker

%description devel -l fr.UTF-8
Ce paquet contient des librairies pour faire des applications mise en
valeur par WindowMaker.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe i biblioteki niezbędne do
tworzenia aplikacji wykorzystujących możliwości zarządcy okien
WindowMaker.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão e bibliotecas para o desenvolvimento de programas
baseados no WindowMaker

%description devel -l ru.UTF-8
Этот пакет содержит библиотеки и .h файлы, предназначенные для сборки
приложений, использующих возможности WindowMaker.

%description devel -l uk.UTF-8
Цей пакет містить бібліотеки та .h файли, призначені для прикладних
програм, що використовують можливості WindowMaker.

%package static
Summary:	WindowMaker static libraries
Summary(pl.UTF-8):	Biblioteki statyczne WindowMakera
Summary(pt_BR.UTF-8):	Componentes estáticos de desenvolvimento para o WindowMaker
Summary(ru.UTF-8):	Статические библиотеки поддержки для WindowMaker
Summary(uk.UTF-8):	Статичні бібліотеки підтримки для WindowMaker
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static libraries for building
WindowMaker-enhanced applications.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczne biblioteki do tworzenia aplikacji
wykorzystujących możliwości zarządcy okien WindowMaker.

%description static -l pt_BR.UTF-8
Instale este pacote se você deseja desenvolver para o WindowMaker,
utilizando componentes estáticos (raramente necessário).

%description static -l ru.UTF-8
Этот пакет содержит статические библиотеки предназначенные для сборки
приложений, использующих возможности WindowMaker.

%description static -l uk.UTF-8
Цей пакет містить статичні бібліотеки, призначені для прикладних
програм, що використовують можливості WindowMaker.

%prep
%setup -q -a 1 -a 2
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p0
%patch13 -p1
%patch14 -p1
%patch15 -p1

for f in WindowMaker/*menu*; do
	%{__sed} -i s,/GNUstep/Apps,/GNUstep/Applications, $f
	%{__sed} -i s,%{_libdir}/GNUstep/,%{_libdir}/GNUstep/, $f
	%{__sed} -i s,%{_prefix}/local/GNUstep/,%{_libdir}/GNUstep/, $f
done

%{__mv} po/{no,nb}.po

%build
#%ifarch %{x8664}
# hack, should be obsolete - needs check
#export ac_cv_c_inline_asm=no
#%endif
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
cd %{name}-extra-%{extraver}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
cd ..

%{__perl} -pi -e 's/defaultAppIcon.#extension#;SharedAppIcon = Yes;/defaultAppIcon.#extension#;/' \
	WindowMaker/Defaults/WMWindowAttributes.in

%configure \
	CPP_PATH="/lib/cpp" \
	LINGUAS="bg cs da de el es et fi fr gl hr hu it ja ko ms nb nl pl pt ro ru \
		 sk sv tr zh_CN zh_TW" \
	--disable-debug \
	--disable-rpath \
	--enable-shared \
	--enable-static \
	--enable-xinerama \
	--enable-usermenu \
	--with-appspath=%{_libdir}/GNUstep/Applications \
	--with-nlsdir=%{_datadir}/locale \
	--with-gnustepdir=%{_libdir}/GNUstep \
	--enable-sound \
	--enable-gnome \
	--enable-kde

touch WindowMaker/Defaults/W*.in

%{__make} -j1 \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%{__autoconf}
cd %{name}-extra-%{extraver}
%configure \
	--with-nlsdir=%{_datadir}/locale \
	--with-iconsdir=%{_pixmapsdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/xsessions,%{_pixmapsdir},%{_wmpropsdir}} \
	$RPM_BUILD_ROOT/etc/sysconfig/wmstyle \
	$RPM_BUILD_ROOT%{_datadir}/WindowMaker/{Sounds,SoundSets}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install util/bughint $RPM_BUILD_ROOT%{_bindir}

install contrib/dockit   $RPM_BUILD_ROOT%{_bindir}
install contrib/dockit.1 $RPM_BUILD_ROOT%{_mandir}/man1

install WindowMaker-data/pixmaps/* $RPM_BUILD_ROOT%{_pixmapsdir}
#%{?with_gnome2:install %{SOURCE3} $RPM_BUILD_ROOT%{_wmpropsdir}}
%{?with_gnome2:%{__sed} s,@LIBDIR@,%{_libdir}, %{SOURCE3} > $RPM_BUILD_ROOT%{_wmpropsdir}/WindowMaker.desktop}

install %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/xsessions/WindowMaker.desktop
#%{__sed} s,@LIBDIR@,%{_libdir}, %{SOURCE6} > $RPM_BUILD_ROOT%{_datadir}/xsessions/WindowMaker.desktop

%{__make} -C %{name}-extra-%{extraver} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGFORM BUGS ChangeLog FAQ NEWS README

%dir %{_sysconfdir}/WindowMaker
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/WindowMaker/*

%{_mandir}/man1/*.1*
%lang(sk) %{_mandir}/sk/man1/*.1*

%{_pixmapsdir}/*.xpm
%{?with_gnome2:%{_wmpropsdir}/WindowMaker.desktop}

%attr(755,root,root) %{_bindir}/convertfonts
%attr(755,root,root) %{_bindir}/bughint
%attr(755,root,root) %{_bindir}/geticonset
%attr(755,root,root) %{_bindir}/getstyle
%attr(755,root,root) %{_bindir}/set*
%attr(755,root,root) %{_bindir}/wd*
%attr(755,root,root) %{_bindir}/wkdemenu.pl
%attr(755,root,root) %{_bindir}/wm*
%attr(755,root,root) %{_bindir}/wx*
%attr(755,root,root) %{_bindir}/dockit

%{_datadir}/WindowMaker
%{_datadir}/xsessions/WindowMaker.desktop

# the first one is shared with gnustep-make...
%dir %{_libdir}/GNUstep/Applications
%dir %{_libdir}/GNUstep/Applications/WPrefs.app

%attr(755,root,root) %{_libdir}/GNUstep/Applications/WPrefs.app/WPrefs

%{_libdir}/GNUstep/Applications/WPrefs.app/tiff
%{_libdir}/GNUstep/Applications/WPrefs.app/xpm
%{_libdir}/GNUstep/Applications/WPrefs.app/WPrefs.tiff
%{_libdir}/GNUstep/Applications/WPrefs.app/WPrefs.xpm

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libExtraWINGs.so.0
%attr(755,root,root) %ghost %{_libdir}/libWINGs.so.0
%attr(755,root,root) %ghost %{_libdir}/libWMaker.so.0
%attr(755,root,root) %ghost %{_libdir}/libWUtil.so.0
%attr(755,root,root) %ghost %{_libdir}/libwraster.so.3
%{_datadir}/WINGs

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/get-wings-flags
%attr(755,root,root) %{_bindir}/get-wraster-flags
%attr(755,root,root) %{_bindir}/get-wutil-flags
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: WindowMaker.spec,v $
Revision 1.199  2012/02/08 16:05:39  adamg
- release 17 (rebuild against libpng-1.5)

Revision 1.198  2012/02/07 22:08:38  arekm
- release 16

Revision 1.197  2012/01/13 14:50:58  arekm
- release 15

Revision 1.196  2011/07/28 10:08:58  baggins
- renamed gnome bcond

Revision 1.195  2011/07/28 06:00:35  baggins
- rel 14
- conditional (off by default) wm-properties (only used in gnome2)

Revision 1.194  2011/05/20 22:33:35  gotar
- BR: xorg-lib-libXinerama-devel, removed *.la, try make -j1 (x86_64)

Revision 1.193  2011/05/20 19:17:19  gotar
- enable xinerama

Revision 1.192  2011/04/13 09:40:29  lisu
- BR: sed >= 4.0, use __sed macro
- R: Esetroot
- rel 13

Revision 1.191  2010/02/06 02:03:45  sparky
- BR: pkgconfig

Revision 1.190  2010/02/06 01:50:34  baggins
- rel 12
- fix for libpng-1.4.x

Revision 1.189  2010/01/29 20:47:36  arekm
- release 11

Revision 1.188  2009/11/28 21:41:31  evil
- s,GNUstep/Apps,GNUstep/Applications,
- sed rule fixing WPrefs path in 64bit builds, according to new WindowMaker.desktop

Revision 1.187  2009/11/26 17:37:15  evil
- s/patch13\ -p0/patch13\ -p1/

Revision 1.186  2009/11/26 17:29:36  evil
- s/patch14/patch13/

Revision 1.185  2009/11/26 17:02:09  evil
-  added patch preventing wmaker from crash while alt+tabing from some fullscreen apps (especially wine)

Revision 1.184  2009/11/26 13:31:07  pawelz
- %ghost so symlinks

Revision 1.183  2009/07/12 13:17:21  arekm
- release 8

Revision 1.182  2009/02/26 22:29:44  glen
- require cpp >= 4.0 to avoid pulling compat-gcc for cpp dep; rel 7

Revision 1.181  2008/11/10 22:04:51  megabajt
- release 6

Revision 1.180  2008/11/10 11:32:06  megabajt
- release 5

Revision 1.179  2008/10/20 13:19:07  megabajt
- release 4

Revision 1.178  2008/09/30 15:50:25  uzsolt
- back to the old (and good) sed-expression (what changed because of adapter)

Revision 1.177  2008/09/29 21:29:16  uzsolt
- adapterized
- Provides 'WallpaperChanger'

Revision 1.176  2008/09/18 15:43:08  patrys
- move wm-properties to the right place
- rel 3

Revision 1.175  2008/07/27 22:27:22  arekm
- release 2

Revision 1.174  2008/07/22 17:15:58  qboosh
- sorted BRs

Revision 1.173  2008/07/22 17:07:17  pawelz
- s/libungif/giflib in deps

Revision 1.172  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.171  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.170  2006/12/09 18:35:27  qboosh
- updated URLs

Revision 1.169  2006/08/23 18:54:43  havner
- do not require xinitrc-ng (it was required cause of /usr/share/xsesions
  i think, and this dir is in filesystem now)
- rel 1, seems to work fine

Revision 1.168  2006/04/18 20:10:10  sparky
- prepared for new vfmg, rel 0.4

Revision 1.167  2006/03/27 14:34:23  megabajt
- added BR/R xorg-lib-libXext-devel

Revision 1.166  2006/03/26 22:28:36  qboosh
- -devel too

Revision 1.165  2006/03/26 22:08:07  megabajt
- modular xorg deps

Revision 1.164  2006/02/02 23:01:37  qboosh
- dropped pixmaps patch (Ra-specific paths)
- updated pl.po (pl.po-update,singleclick,translucency patches)
- release 0.3

Revision 1.163  2006/02/02 22:08:18  qboosh
- added cvs patch, now builds with gcc 4
- removed x86 asm disabling hack - didn't work in 0.92.0 anyway

Revision 1.162  2006/01/21 12:05:32  atler
- make it build with gnustep-* packages

Revision 1.161  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.160  2005/07/26 12:39:35  undefine
- up to 0.92.0

Revision 1.159  2005/05/23 11:40:39  darekr
- BR: perl-base

Revision 1.158  2005/01/19 19:52:53  pawelb
- added translucency patch stolen from LFS
- rel 7

Revision 1.157  2005/01/12 22:41:23  roman
- added patch WindowMaker-updateIconImage.patch from WM CVS rep
- mozilla works OK on amd64 under WindowMaker ;-)
- release 6
- STBR

Revision 1.156  2004/12/17 18:04:40  sparky
- ups

Revision 1.155  2004/12/17 17:56:26  sparky
- Spanish summary/description fixes

Revision 1.154  2004/12/06 15:13:27  havner
- rel 5 for utf in vfmg patch

Revision 1.153  2004/11/12 19:15:45  havner
- GNUstep dir moved to gnustep-dirs
- R: gnustep-dirs
- rel 4

Revision 1.152  2004/11/07 20:34:39  havner
- Sounds and SoundSets dir should belong to WindowMaker, f.e. WSoundServer
  works ok with wmsouns-worms2 (doesn't need wmsound-data)
- WindowMaker rel 3
- wmsound rel 2

Revision 1.151  2004/11/07 17:56:34  qboosh
- updated pl.po-update patch (msgmerged and updated */pl.po for 0.91.0)
- removed outdated URL from Source1
- configure cleanup (--enable-{gnome,kde,sound} options don't exist now)
- release 2

Revision 1.150  2004/11/02 00:03:42  havner
- 0.91.0
- rel 1, works great

Revision 1.149  2004/10/31 13:50:00  paladine
- spaces->tabs
- formatting

Revision 1.148  2004/10/30 19:51:59  baggins
- release 0.4
- fixed sigsegv caused by singleclick patch

Revision 1.147  2004/10/30 18:27:31  baggins
- release 0.3
- BR: libpng-devel (libpng is not enough)

Revision 1.146  2004/10/28 14:23:52  baggins
- release 0.2
- finished update

Revision 1.145  2004/10/25 18:13:23  baggins
- removed obsolete patches

Revision 1.144  2004/10/25 17:28:59  baggins
- As of 0.90.0, libXft2 is a required library.

Revision 1.143  2004/10/25 17:27:46  baggins
- rel 0.1
- started upgrade to 0.90.0

Revision 1.142  2004/09/05 02:55:29  havner
- xft bcond, but due to bug in code --disable-xft doesn't work. It seems
  that it's impossible to disable xft support in this version.

Revision 1.141  2004/09/05 02:43:07  havner
- commented out enablexft patch, it doesn't make any sense, sinse xft
  is enabled compile time at this moment.
- rel 1

Revision 1.140  2004/09/05 02:27:25  havner
- 20040718

Revision 1.139  2004/08/18 22:25:22  qboosh
- fixed typo in pl.po, release .11

Revision 1.138  2004/08/16 13:03:36  havner
- rel 10 for rebuild

Revision 1.137  2004/07/09 19:59:19  havner
- small fix with seding menu files (didn't notice it before)
- rel 9, I hope it is done

Revision 1.136  2004/07/09 19:32:52  havner
- remove wmstyle/WindowMaker.sh, it does nothing

Revision 1.135  2004/07/09 18:25:50  havner
- R: xinitrc-ng instead of xinitrc

Revision 1.134  2004/07/09 17:24:27  havner
- removed WindowMaker.names, it's obsolete now

Revision 1.133  2004/07/07 23:43:00  havner
- fixed vfmg patch, updated plmenu patch
- commented out xterm-dock patch, this funcionality is undesirable
  by default, it can be configured later
- rel 8

Revision 1.132  2004/07/06 15:27:21  havner
- rel up for fixed vfmg patch

Revision 1.131  2004/07/04 22:01:26  havner
- commented out obsolete patch7

Revision 1.130  2004/07/04 20:37:41  havner
- vfmg patch
- rel up

Revision 1.129  2004/05/20 12:04:31  qboosh
- disabled broken x86 asm code (crashed on i686 in 16bpp); release .5

Revision 1.128  2004/04/24 23:26:34  qboosh
- fixed shared patch, updatd BRs (removed Hermes, added xft); release .4

Revision 1.127  2004/04/24 18:31:29  qboosh
- updated pl.po-update, fixed path in .desktop, added pkgconfig files to -devel
- release .3

Revision 1.126  2004/04/19 12:21:50  baggins
- release 2
- added xterm-dock patch (allow more than one xterm launched from dock)
- removed rxvt patch (rxvt is not required but sometimes preferred
  and killing it from menu is a bad idea)

Revision 1.125  2004/03/31 21:02:17  qboosh
- -devel R: XFree86-devel

Revision 1.124  2004/03/29 14:21:29  baggins
- some finishing touches, STBR

Revision 1.123  2004/03/29 14:16:56  baggins
- removed obsoleted patch

Revision 1.122  2004/03/29 14:04:01  baggins
- use proper build dir

Revision 1.121  2004/03/29 13:52:29  baggins
- merging latest 0.81.0 snap from DEVEL
- cut down changelog

Revision 1.120  2004/01/30 14:59:30  qboosh
- added localenames patch, rename files (nb, zh_TW); release 7

Revision 1.119  2003/12/01 00:13:41  undefine
- release 6 to upgrade from RA

Revision 1.118  2003/10/20 13:25:37  qboosh
- fixed build, added missing BR: libtool

Revision 1.117  2003/09/30 14:29:44  aredridel
- fixed typo

Revision 1.116  2003/09/28 11:23:43  adgor
- Use %%{_pixmapsdir} macro in %%install

Revision 1.115  2003/09/28 11:17:50  adgor
- Added desktop file for gdm/kdm support
- WindowMaker.{names,sh} -> wmaker.{names,sh}

Revision 1.114  2003/07/06 23:27:14  blues
- many small fixes, mostly inpired by kloczek

Revision 1.113  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.112  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.111  2003/05/25 05:45:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.110  2003/02/17 15:05:21  qboosh
- changed _wmpropsdir to _prefix-independent location (/usr/share/wm-properties)

Revision 1.109  2003/02/06 12:59:19  kloczek
- relase 4: security fix (CAN-2002-1277)
  added http://www.heily.com/mark/code_samples/appicon_captions_maxprotect.diff
  patch:
  Buffer overflow in WindowMaker may allow remote attackers to execute arbitrary
  code via a certain image file that is not properly handled when Window Maker
  uses width and height information to allocate a buffer.

Revision 1.108  2003/01/18 22:57:41  juandon
- removed two lines with define
